## ambient-ci 0.5.1.ci20250906T052329

=== Makefile ===
AMBIENT_IMAGE = /scratch/ambient-images/ambient-boot.qcow2
TARGET = x86_64-unknown-linux-musl
TESTS = 

all: test ambient.html

build:
	cargo fmt -- --check
	cargo clippy --all-targets -- -D warnings
	cargo build --all-targets --target $(TARGET)
	subplot docgen ambient.subplot -o ambient.html
	subplot codegen ambient.subplot -o test.py

test: build
	cargo test
	rm -f test.log
	bash test.sh "$(AMBIENT_IMAGE)" "$(TARGET)" $(TESTS)

ambient.html: ambient.subplot ambient.md ambient.yaml
	subplot docgen ambient.subplot -o ambient.html

## ambient-ci 0.2.0.ci20250323T143254

=== debian/changelog ===
ambient-ci (0.2.0.ci20250323T143254-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 23 Mar 2025 14:32:54 +0000

ambient-ci (0.2.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 17 Mar 2025 16:36:13 +0200

ambient-ci (0.1.0-1) unstable; urgency=medium

  * First package release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 09 Jan 2025 19:36:21 +0200

=== debian/control ===
Source: ambient-ci
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 10~), genisoimage
Homepage: https://ambient.liw.fi/

Package: ambient-ci
Architecture: any
Depends: ${misc:Depends}, qemu-system-x86, genisoimage
Description: local continuous integration engine
 Ambient is a continuous integration system in development. This
 package contains a tool to run CI locally on projects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --offline --target x86_64-unknown-linux-musl --path=. --root=debian/ambient-ci
	rm -f debian/*/.crates*.*

override_dh_auto_test:
	echo tests are disabled, for now

## ambient-ci 0.5.1.ci20250906T052329

=== debian/changelog ===
ambient-ci (0.5.1.ci20250906T052329-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:23:29 +0000

ambient-ci (0.5.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 12 Aug 2025 16:10:41 +0300

ambient-ci (0.5.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 12 Aug 2025 08:45:52 +0300

ambient-ci (0.4.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 20 Jul 2025 16:07:34 +0300

ambient-ci (0.3.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 17 Apr 2025 13:42:16 +0300

## ambient-ci 0.5.2

=== debian/changelog ===
ambient-ci (0.5.2-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 10 Sep 2025 10:20:57 +0300

## ambient-ci 0.6.0.ci20250920T113303

=== debian/changelog ===
ambient-ci (0.6.0.ci20250920T113303-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 11:33:03 +0000

ambient-ci (0.6.0-1) unstable; urgency=medium

  * New release

 -- Lars Wirzenius <liw@liw.fi>  Fri, 19 Sep 2025 12:58:39 +0300

## ambient-ci 0.6.0.ci20250920T113723

=== debian/changelog ===
ambient-ci (0.6.0.ci20250920T113723-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 11:37:23 +0000

## ambient-ci 0.6.0.ci20250920T120600

=== debian/changelog ===
ambient-ci (0.6.0.ci20250920T120600-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 12:06:00 +0000

## ambient-ci 0.7.0.ci20250922T053111

=== debian/changelog ===
ambient-ci (0.7.0.ci20250922T053111-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:31:12 +0000

ambient-ci (0.7.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 08:21:02 +0300

## ambient-ci 0.7.0.ci20250922T055538

=== debian/changelog ===
ambient-ci (0.7.0.ci20250922T055538-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:55:38 +0000

## ambient-ci 0.7.0.ci20250922T072513

=== debian/changelog ===
ambient-ci (0.7.0.ci20250922T072513-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:25:13 +0000

## ambient-ci 0.7.0.ci20250922T104123

=== debian/changelog ===
ambient-ci (0.7.0.ci20250922T104123-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 10:41:24 +0000

## ambient-ci 0.7.0.ci20250927T040935

=== debian/changelog ===
ambient-ci (0.7.0.ci20250927T040935-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 04:09:35 +0000

## ambient-ci 0.7.0.ci20250927T043302

=== debian/changelog ===
ambient-ci (0.7.0.ci20250927T043302-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 04:33:02 +0000

## ambient-ci 0.7.0.ci20250927T044857

=== debian/changelog ===
ambient-ci (0.7.0.ci20250927T044857-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 04:48:57 +0000

## ambient-ci 0.7.0.ci20250927T055256

=== debian/changelog ===
ambient-ci (0.7.0.ci20250927T055256-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 05:52:56 +0000

## ambient-ci 0.7.0.ci20250927T075631

=== debian/changelog ===
ambient-ci (0.7.0.ci20250927T075631-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:56:31 +0000

## ambient-ci 0.7.0.ci20250930T115033

=== debian/changelog ===
ambient-ci (0.7.0.ci20250930T115033-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 30 Sep 2025 11:50:33 +0000

## ambient-ci 0.7.0.ci20251001T052448

=== debian/changelog ===
ambient-ci (0.7.0.ci20251001T052448-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 01 Oct 2025 05:24:48 +0000

## ambient-ci 0.8.0.ci20251001T054614

=== debian/changelog ===
ambient-ci (0.8.0.ci20251001T054614-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 01 Oct 2025 05:46:14 +0000

ambient-ci (0.8.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 01 Oct 2025 08:38:57 +0300

## ambient-ci 0.8.0.ci20251004T035328

=== debian/changelog ===
ambient-ci (0.8.0.ci20251004T035328-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:53:29 +0000

## ambient-ci 0.8.0.ci20251007T145523

=== debian/changelog ===
ambient-ci (0.8.0.ci20251007T145523-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 07 Oct 2025 14:55:23 +0000

## ambient-ci 0.8.0.ci20251010T070058

=== debian/changelog ===
ambient-ci (0.8.0.ci20251010T070058-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 07:00:58 +0000

## ambient-ci 0.8.0.ci20251012T063428

=== debian/changelog ===
ambient-ci (0.8.0.ci20251012T063428-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 12 Oct 2025 06:34:28 +0000

## ambient-ci 0.8.0.ci20251013T080829

=== debian/changelog ===
ambient-ci (0.8.0.ci20251013T080829-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 08:08:29 +0000

## ambient-ci 0.8.0.ci20251013T094206

=== debian/changelog ===
ambient-ci (0.8.0.ci20251013T094206-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:42:06 +0000

## ambient-ci 0.8.0.ci20251013T102516

=== debian/changelog ===
ambient-ci (0.8.0.ci20251013T102516-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:25:16 +0000

## ambient-ci 0.8.0.ci20251014T103544

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T103544-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 10:35:44 +0000

## ambient-ci 0.8.0.ci20251014T112129

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T112129-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:21:29 +0000

## ambient-ci 0.8.0.ci20251014T115703

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T115703-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:57:03 +0000

## ambient-ci 0.8.0.ci20251014T151241

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T151241-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:12:41 +0000

## ambient-ci 0.8.0.ci20251014T154757

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T154757-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:47:57 +0000

## ambient-ci 0.8.0.ci20251014T160826

=== debian/changelog ===
ambient-ci (0.8.0.ci20251014T160826-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 16:08:26 +0000

## ambient-ci 0.8.0.ci20251016T142631

=== debian/changelog ===
ambient-ci (0.8.0.ci20251016T142631-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 16 Oct 2025 14:26:31 +0000

## ambient-ci 0.8.0.ci20251016T142922

=== debian/changelog ===
ambient-ci (0.8.0.ci20251016T142922-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 16 Oct 2025 14:29:22 +0000

## ambient-ci 0.8.0.ci20251016T145448

=== debian/changelog ===
ambient-ci (0.8.0.ci20251016T145448-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 16 Oct 2025 14:54:48 +0000

## ambient-ci 0.8.0.ci20251017T160234

=== debian/changelog ===
ambient-ci (0.8.0.ci20251017T160234-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 17 Oct 2025 16:02:34 +0000

## ambient-ci 0.8.0.ci20251102T071649

=== debian/changelog ===
ambient-ci (0.8.0.ci20251102T071649-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:16:50 +0000

## ambient-ci 0.8.0.ci20251102T153156

=== debian/changelog ===
ambient-ci (0.8.0.ci20251102T153156-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:31:56 +0000

## ambient-ci 0.8.0.ci20251107T152333

=== debian/changelog ===
ambient-ci (0.8.0.ci20251107T152333-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:23:34 +0000

## ambient-ci 0.8.0.ci20251110T083230

=== debian/changelog ===
ambient-ci (0.8.0.ci20251110T083230-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:32:30 +0000

## ambient-ci 0.8.0.ci20251111T070538

=== debian/changelog ===
ambient-ci (0.8.0.ci20251111T070538-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 07:05:38 +0000

## ambient-ci 0.8.0.ci20251112T135321

=== debian/changelog ===
ambient-ci (0.8.0.ci20251112T135321-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:53:22 +0000

## ambient-ci 0.8.0.ci20251112T151539

=== debian/changelog ===
ambient-ci (0.8.0.ci20251112T151539-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 15:15:39 +0000

## ambient-ci 0.9.0.ci20251113T134136

=== debian/changelog ===
ambient-ci (0.9.0.ci20251113T134136-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 13 Nov 2025 13:41:36 +0000

ambient-ci (0.9.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 13 Nov 2025 15:28:04 +0200

## ambient-ci 0.9.0.ci20251114T140729

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T140729-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:07:29 +0000

## ambient-ci 0.9.0.ci20251114T145006

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T145006-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:50:06 +0000

## ambient-ci 0.9.0.ci20251114T145419

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T145419-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:54:20 +0000

## ambient-ci 0.9.0.ci20251114T145659

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T145659-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:56:59 +0000

## ambient-ci 0.9.0.ci20251114T150047

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T150047-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:00:47 +0000

## ambient-ci 0.9.0.ci20251114T152629

=== debian/changelog ===
ambient-ci (0.9.0.ci20251114T152629-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:26:29 +0000

## ambient-ci 0.9.0.ci20251115T052937

=== debian/changelog ===
ambient-ci (0.9.0.ci20251115T052937-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:29:37 +0000

## ambient-ci 0.9.0.ci20251116T062259

=== debian/changelog ===
ambient-ci (0.9.0.ci20251116T062259-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:22:59 +0000

## ambient-ci 0.9.0.ci20251118T153311

=== debian/changelog ===
ambient-ci (0.9.0.ci20251118T153311-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 18 Nov 2025 15:33:11 +0000

## ambient-ci 0.9.0.ci20251119T070051

=== debian/changelog ===
ambient-ci (0.9.0.ci20251119T070051-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 19 Nov 2025 07:00:51 +0000

## ambient-ci 0.9.0.ci20251119T155259

=== debian/changelog ===
ambient-ci (0.9.0.ci20251119T155259-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 19 Nov 2025 15:52:59 +0000

## ambient-ci 0.9.0.ci20251122T115947

=== debian/changelog ===
ambient-ci (0.9.0.ci20251122T115947-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:59:47 +0000

## ambient-ci 0.9.0.ci20251123T190104

=== debian/changelog ===
ambient-ci (0.9.0.ci20251123T190104-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 19:01:04 +0000

## ambient-ci 0.10.0.ci20251124T100720

=== debian/changelog ===
ambient-ci (0.10.0.ci20251124T100720-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 10:07:20 +0000

ambient-ci (0.10.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 24 Nov 2025 11:52:46 +0200

## ambient-ci 0.10.0.ci20251124T104410

=== debian/changelog ===
ambient-ci (0.10.0.ci20251124T104410-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 10:44:10 +0000

## ambient-ci 0.10.0.ci20251124T124919

=== debian/changelog ===
ambient-ci (0.10.0.ci20251124T124919-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 12:49:19 +0000

## ambient-ci 0.10.0.ci20251125T124735

=== debian/changelog ===
ambient-ci (0.10.0.ci20251125T124735-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 12:47:35 +0000

## ambient-ci 0.10.0.ci20251125T151715

=== debian/changelog ===
ambient-ci (0.10.0.ci20251125T151715-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 15:17:15 +0000

## ambient-ci 0.10.0.ci20251127T140436

=== debian/changelog ===
ambient-ci (0.10.0.ci20251127T140436-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 27 Nov 2025 14:04:36 +0000

## ambient-ci 0.10.0.ci20251127T151715

=== debian/changelog ===
ambient-ci (0.10.0.ci20251127T151715-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 27 Nov 2025 15:17:15 +0000

## ambient-ci 0.10.0.ci20251127T171757

=== debian/changelog ===
ambient-ci (0.10.0.ci20251127T171757-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 27 Nov 2025 17:17:57 +0000

## ambient-ci 0.10.0.ci20251130T065459

=== debian/changelog ===
ambient-ci (0.10.0.ci20251130T065459-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 06:55:03 +0000

## ambient-ci 0.10.0.ci20251130T072628

=== debian/changelog ===
ambient-ci (0.10.0.ci20251130T072628-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:26:29 +0000

## ambient-ci 0.10.0.ci20251130T081859

=== debian/changelog ===
ambient-ci (0.10.0.ci20251130T081859-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 08:18:59 +0000

## ambient-ci 0.10.0.ci20251130T085324

=== debian/changelog ===
ambient-ci (0.10.0.ci20251130T085324-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 08:53:24 +0000

## ambient-ci 0.10.0.ci20251201T085213

=== debian/changelog ===
ambient-ci (0.10.0.ci20251201T085213-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 01 Dec 2025 08:52:13 +0000

## ambient-ci 0.10.0.ci20251203T073648

=== debian/changelog ===
ambient-ci (0.10.0.ci20251203T073648-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:36:49 +0000

## ambient-ci 0.10.0.ci20251204T082917

=== debian/changelog ===
ambient-ci (0.10.0.ci20251204T082917-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:29:17 +0000

## ambient-ci 0.10.0.ci20251208T122526

=== debian/changelog ===
ambient-ci (0.10.0.ci20251208T122526-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:25:26 +0000

## ambient-ci 0.10.0.ci20251209T153819

=== debian/changelog ===
ambient-ci (0.10.0.ci20251209T153819-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 15:38:19 +0000

## ambient-ci 0.10.0.ci20251212T160638

=== debian/changelog ===
ambient-ci (0.10.0.ci20251212T160638-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 12 Dec 2025 16:06:38 +0000

## ambient-ci 0.10.0.ci20251215T061900

=== debian/changelog ===
ambient-ci (0.10.0.ci20251215T061900-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:19:00 +0000

## ambient-ci 0.10.0.ci20251215T095413

=== debian/changelog ===
ambient-ci (0.10.0.ci20251215T095413-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:54:13 +0000

## ambient-ci 0.10.0.ci20251215T103801

=== debian/changelog ===
ambient-ci (0.10.0.ci20251215T103801-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 10:38:02 +0000

## ambient-ci 0.10.0.ci20251215T104824

=== debian/changelog ===
ambient-ci (0.10.0.ci20251215T104824-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 10:48:24 +0000

## ambient-ci 0.10.0.ci20251215T124033

=== debian/changelog ===
ambient-ci (0.10.0.ci20251215T124033-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 12:40:33 +0000

## ambient-ci 0.10.0.ci20251216T102849

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T102849-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 10:28:49 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --locked --offline --target x86_64-unknown-linux-musl --path=. --root=debian/ambient-ci/usr
	find debian -name '.crates*' -delete

override_dh_auto_test:
	echo tests are disabled, for now

## ambient-ci 0.10.0.ci20251216T105519

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T105519-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 10:55:19 +0000

## ambient-ci 0.10.0.ci20251216T110116

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T110116-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 11:01:16 +0000

## ambient-ci 0.10.0.ci20251216T111135

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 build:
 	cargo fmt -- --check
+	cargo deny check
 	cargo clippy --all-targets -- -D warnings
 	cargo build --all-targets --target $(TARGET)
 	subplot docgen ambient.subplot -o ambient.html
@@ -18,3 +19,6 @@
 
 ambient.html: ambient.subplot ambient.md ambient.yaml
 	subplot docgen ambient.subplot -o ambient.html
+
+semver:
+	cargo semver-checks

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T111135-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 11:11:36 +0000

## ambient-ci 0.10.0.ci20251216T132211

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T132211-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 13:22:12 +0000

## ambient-ci 0.10.0.ci20251216T143758

=== debian/changelog ===
ambient-ci (0.10.0.ci20251216T143758-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 16 Dec 2025 14:37:58 +0000

## ambient-ci 0.10.0.ci20251217T081138

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T081138-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 08:11:38 +0000

## ambient-ci 0.10.0.ci20251217T081905

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T081905-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 08:19:05 +0000

## ambient-ci 0.10.0.ci20251217T085634

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T085634-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 08:56:34 +0000

## ambient-ci 0.10.0.ci20251217T095945

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T095945-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 09:59:45 +0000

## ambient-ci 0.10.0.ci20251217T131957

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T131957-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 13:19:58 +0000

## ambient-ci 0.10.0.ci20251217T141311

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T141311-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 14:13:12 +0000

## ambient-ci 0.10.0.ci20251217T151231

=== debian/changelog ===
ambient-ci (0.10.0.ci20251217T151231-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 17 Dec 2025 15:12:32 +0000

## ambient-ci 0.10.0.ci20251218T061143

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T061143-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 06:11:43 +0000

## ambient-ci 0.10.0.ci20251218T065147

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T065147-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 06:51:47 +0000

## ambient-ci 0.10.0.ci20251218T093109

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T093109-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 09:31:09 +0000

## ambient-ci 0.10.0.ci20251218T152429

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T152429-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 15:24:29 +0000

## ambient-ci 0.10.0.ci20251218T153134

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T153134-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 15:31:34 +0000

## ambient-ci 0.10.0.ci20251218T164359

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T164359-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 16:43:59 +0000

## ambient-ci 0.10.0.ci20251218T171910

=== debian/changelog ===
ambient-ci (0.10.0.ci20251218T171910-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 18 Dec 2025 17:19:10 +0000

## ambient-ci 0.10.0.ci20251219T023551

=== debian/changelog ===
ambient-ci (0.10.0.ci20251219T023551-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Dec 2025 02:35:51 +0000

## ambient-ci 0.10.0.ci20251219T040212

=== debian/changelog ===
ambient-ci (0.10.0.ci20251219T040212-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Dec 2025 04:02:12 +0000

## ambient-ci 0.10.0.ci20251219T041907

=== Makefile ===
MKFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
PROJECT_PATH := $(patsubst %/,%,$(dir $(MKFILE_PATH)))
PROJECT = $(subst @,,$(notdir $(subst /workspace,,$(PROJECT_PATH))))

.DEFAULT_GOAL := help

CARGO_HOME = $(PROJECT_PATH)/vendor

ambient.qcow2:
	curl -s https://files.liw.fi/ambient/ambient.qcow2.xz | unxz -v > ambient.qcow2

.PHONY: test
test: ambient.qcow2
test: ## Run checks as they will run in CI
	make test "AMBIENT_IMAGE=$$(pwd)/ambient.qcow2"

.PHONY: vendor
vendor: ## Pre-fetch dependencies
	cargo --version
	CARGO_HOME=$(CARGO_HOME) cargo fetch --locked -v

.PHONY: build
build: ## Build the binary using zig
	CARGO_HOME=$(CARGO_HOME) cargo install cargo-zigbuild@0.19.3
	CARGO_HOME=$(CARGO_HOME) cargo zigbuild --locked --release \
		--target=aarch64-unknown-linux-musl \
		--target=x86_64-unknown-linux-musl


# Check http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
help: ## Print this help.
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST) | sort

=== debian/changelog ===
ambient-ci (0.10.0.ci20251219T041907-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 19 Dec 2025 04:19:07 +0000

## ambient-ci 0.10.0.ci20251220T051858

=== debian/changelog ===
ambient-ci (0.10.0.ci20251220T051858-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 05:18:58 +0000

## ambient-ci 0.11.0.ci20251220T053609

=== debian/changelog ===
ambient-ci (0.11.0.ci20251220T053609-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 05:36:09 +0000

ambient-ci (0.11.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Dec 2025 07:21:00 +0200

## ambient-ci 0.11.0.ci20251220T174205

=== debian/changelog ===
ambient-ci (0.11.0.ci20251220T174205-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 17:42:05 +0000

## ambient-ci 0.11.0.ci20251221T044920

=== debian/changelog ===
ambient-ci (0.11.0.ci20251221T044920-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:49:20 +0000

## ambient-ci 0.11.0.ci20251221T062452

=== debian/changelog ===
ambient-ci (0.11.0.ci20251221T062452-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:24:52 +0000

## ambient-ci 0.11.0.ci20251222T124743

=== debian/changelog ===
ambient-ci (0.11.0.ci20251222T124743-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Dec 2025 12:47:43 +0000

## ambient-ci 0.11.0.ci20260105T121616

=== debian/changelog ===
ambient-ci (0.11.0.ci20260105T121616-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 12:16:16 +0000

## ambient-ci 0.11.0.ci20260112T124452

=== debian/changelog ===
ambient-ci (0.11.0.ci20260112T124452-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:44:53 +0000

## ambient-ci 0.11.0.ci20260114T081058

=== debian/changelog ===
ambient-ci (0.11.0.ci20260114T081058-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 08:10:58 +0000

## ambient-ci 0.11.1.ci20260114T114149

=== debian/changelog ===
ambient-ci (0.11.1.ci20260114T114149-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 11:41:49 +0000

ambient-ci (0.11.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 14 Jan 2026 13:24:23 +0200

## ambient-ci 0.11.1.ci20260114T123245

=== debian/changelog ===
ambient-ci (0.11.1.ci20260114T123245-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:32:45 +0000

## ambient-ci 0.11.1.ci20260118T133009

=== debian/changelog ===
ambient-ci (0.11.1.ci20260118T133009-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:30:09 +0000

## ambient-ci 0.11.1.ci20260120T120335

=== debian/changelog ===
ambient-ci (0.11.1.ci20260120T120335-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 12:03:35 +0000

## ambient-ci 0.11.1.ci20260121T103603

=== debian/changelog ===
ambient-ci (0.11.1.ci20260121T103603-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 10:36:03 +0000

## ambient-ci 0.11.1.ci20260121T110700

=== debian/changelog ===
ambient-ci (0.11.1.ci20260121T110700-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 11:07:00 +0000

## ambient-ci 0.11.1.ci20260121T113202

=== debian/changelog ===
ambient-ci (0.11.1.ci20260121T113202-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 11:32:02 +0000

## ambient-ci 0.11.1.ci20260125T065855

=== debian/changelog ===
ambient-ci (0.11.1.ci20260125T065855-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:58:55 +0000

## ambient-ci 0.11.1.ci20260204T083200

=== debian/changelog ===
ambient-ci (0.11.1.ci20260204T083200-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 08:32:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@
 
 override_dh_auto_build:
-	true
+	make -C doc
 
 override_dh_auto_install:
 	cargo install --locked --offline --target x86_64-unknown-linux-musl --path=. --root=debian/ambient-ci/usr

## ambient-ci 0.11.1.ci20260204T094806

=== debian/changelog ===
ambient-ci (0.11.1.ci20260204T094806-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:48:07 +0000

## ambient-ci 0.12.0.ci20260212T161132

=== Makefile ===
AMBIENT_IMAGE = /scratch/ambient-images/ambient-boot.qcow2
TARGET = x86_64-unknown-linux-musl
TESTS = 

all: test doc

build:
	cargo fmt -- --check
	cargo deny check
	cargo clippy --all-targets -- -D warnings
	cargo build --all-targets --target $(TARGET)
	subplot docgen ambient.subplot -o ambient.html
	subplot codegen ambient.subplot -o test.py

test: build
	cargo test
	rm -f test.log
	bash test.sh "$(AMBIENT_IMAGE)" "$(TARGET)" $(TESTS)

.PHONY: doc
doc: ambient.html
	make -C doc

ambient.html: ambient.subplot ambient.md ambient.yaml
	subplot docgen ambient.subplot -o ambient.html

semver:
	cargo semver-checks

=== debian/changelog ===
ambient-ci (0.12.0.ci20260212T161132-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 12 Feb 2026 16:11:32 +0000

ambient-ci (0.12.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 05 Feb 2026 16:57:19 +0200

=== debian/control ===
Source: ambient-ci
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: devel
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 10~), xorriso
Homepage: https://ambient.liw.fi/

Package: ambient-ci
Architecture: any
Depends: ${misc:Depends}, qemu-system-x86, xorriso, qemu-utils, ovmf, rsync,
 dput, shellcheck
Description: local continuous integration engine
 Ambient is a continuous integration system in development. This
 package contains a tool to run CI locally on projects.
